GST APIEnvironment:
Default OTP575757
API Reference
Overview
Public
Authentication
GSTR
GSTR1
GSTR1A
GSTR2A
GSTR2B
GSTR2X
GSTR3B
GSTR4
GSTR4A
GSTR4Annual
Save GSTR4Annual dataPUT
Get tdscmp InvoicesGET
Get txios InvoicesGET
Get validate turnover for GSTR4 Annual formGET
Get validate the liability provided in table 6 for GSTR4 Annual formGET
Get autopopulated data for table 4A/4B of GSTR4 Annual formGET
Get summary InvoicesGET
File GSTR4Annual dataPOST
File GSTR4 Annual dataPOST
GSTR5
GSTR6
GSTR6A
GSTR7
GSTR8
GSTR9
GSTR9A
GSTR9C
SPIKE
ALL
IMS
ITC03
ITC04
CMP
Payment
Ledger
e-Invoice
Notices

File GSTR-4 Annual Return with EVC

POSThttps://apisandbox.whitebooks.in/gstr4annual/retevcfile

Used to file entire GSTR4 Annual invoices using EVC.

Parameters

query parameters
emailstringrequired
API Developer User Email
panstringrequired
PAN Number
evcotpstringrequired
OTP for EVC
header parameters
gstinstringrequired
GST Number
ret_periodstringrequired
Return Period (MMYYYY)
gst_usernamestringrequired
GST UserName
state_cdstringrequired
State Code
ip_addressstringrequired
IP Address
txnstringrequired
Transaction
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret

Request Body

application/jsonrequired
string

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP POST to /gstr4annual/retevcfile. Required parameters: email (query parameter), pan (query parameter), evcotp (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.
For File GSTR4 Annual data (POST /gstr4annual/retevcfile), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
Used to file entire GSTR4 Annual invoices using EVC.
POST/gstr4annual/retevcfile
1const response = await fetch('https://apisandbox.whitebooks.in/gstr4annual/retevcfile?email=value&pan=value&evcotp=value', {
2 method: 'POST',
3 headers: {
4 gstin: "value",
5 ret_period: "value",
6 gst_username: "value",
7 state_cd: "value",
8 ip_address: "value",
9 txn: "value",
10 client_id: "value",
11 client_secret: "value",
12 Content-Type: "application/json"
13},
14 body: JSON.stringify("string"),
15});
16
17const data = await response.json();
18console.log(data);
No example available.